Loading...
Searching...
No Matches
RDKit::MolStandardize::DisallowedAtomsValidation Class Reference

`#include <Validate.h>`

Inheritance diagram for RDKit::MolStandardize::DisallowedAtomsValidation:

## Public Member Functions

| DisallowedAtomsValidation (std::vector< std::shared_ptr< Atom > > atoms)
std::vector< ValidationErrorInfo > | validate (const ROMol &mol, bool reportAllFailures) const override
std::shared_ptr< ValidationMethod > | copy () const override
Public Member Functions inherited from RDKit::MolStandardize::ValidationMethod
| ValidationMethod ()=default
virtual | ~ValidationMethod ()=default

## Detailed Description

The DisallowedAtomsValidation class lets the user input a list of atoms and as long as there are no atoms from the list it is deemed acceptable.

Definition at line 193 of file Validate.h.

## Constructor & Destructor Documentation

## DisallowedAtomsValidation()

RDKit::MolStandardize::DisallowedAtomsValidation::DisallowedAtomsValidation | ( | std::vector< std::shared_ptr< Atom > > | atoms | ) |

inline

Definition at line 196 of file Validate.h.

## Member Function Documentation

## copy()

std::shared_ptr< ValidationMethod > RDKit::MolStandardize::DisallowedAtomsValidation::copy | ( |  | ) | const

inline override virtual

Implements RDKit::MolStandardize::ValidationMethod.

Definition at line 201 of file Validate.h.

## validate()

std::vector< ValidationErrorInfo > RDKit::MolStandardize::DisallowedAtomsValidation::validate | ( | const ROMol & | mol,
|  | bool | reportAllFailures
| ) |  | const

override virtual

Implements RDKit::MolStandardize::ValidationMethod.

The documentation for this class was generated from the following file:

- Validate.h